function AllocateYr
%
% Annual C allocation for the PnET ecosystem model.
%


global veg site clim share rstep;

share.NPPFolYr = share.FolProdCYr / veg.CFracBiomass;
share.NPPWoodYr = share.WoodProdCYr / veg.CFracBiomass;
share.NPPRootYr = share.RootProdCYr / veg.CFracBiomass;

if share.DwaterIx > 0
  AvgDWater = share.Dwatertot / share.DwaterIx;
else
  AvgDWater = 1.0;
end

if share.PosCBalMassIx > 0
  avgPCBM = (share.PosCBalMassTot / share.PosCBalMassIx);
else
  avgPCBM = share.FolMass;
end

EnvMaxFol = (AvgDWater * avgPCBM) * (1.0 + (veg.FolRelGrowMax * share.LightEffMin));
SppMaxFol = avgPCBM * (1.0 + (veg.FolRelGrowMax * share.LightEffMin));
veg.FolMassMax = min(EnvMaxFol, SppMaxFol);
veg.FolMassMin = (veg.FolMassMax - veg.FolMassMax * (1.0 / veg.FolReten));
share.BudC = ((veg.FolMassMax - share.FolMass) * veg.CFracBiomass);

if share.BudC < 0
  share.BudC = 0;
end

share.PlantC = share.PlantC - share.BudC;
share.WoodC = (1.0 - veg.PlantCReserveFrac) * share.PlantC;
share.PlantC = share.PlantC - share.WoodC;

if share.WoodC < (veg.MinWoodFolRatio * share.BudC)
  TotalC = share.WoodC + share.BudC;
  share.WoodC = TotalC * (veg.MinWoodFolRatio / (1.0 + veg.MinWoodFolRatio));
  share.BudC = TotalC - share.WoodC;
  veg.FolMassMax = share.FolMass + (share.BudC / veg.CFracBiomass);
  veg.FolMassMin = (veg.FolMassMax - veg.FolMassMax * (1.0 / veg.FolReten));
end

share.NEP = share.TotPsn - share.WoodMRespYr - share.WoodGRespYr - share.FolGRespYr - share.SoilRespYr;