function [out]=pnetii(climIn,siteIn,vegIn)
%
% [out]=pnetii(climIn,siteIn,vegIn)
%

%% Initialize
clear global;

% Vegetation and site constants
global veg;    % Vegetation parameters (input)
global site;   % Site specific parameters (input)
global clim;   % Climatological time series (input)
global share;  % Internal variables shared between functions
global out;    % Calculated variables intended to be returned to the user
global rstep;  % The current running timestep of the execution (day or month)
global ystep;  % The yearstep (only used in constructing the output array)

% Assign input structures to those used within the model
veg = vegIn;  site = siteIn;  clim = climIn;

% Initialize variables
initvars;

%% Main run loop
% Loop through all climate records
for rstep=1:length(clim.doy)

  % End-of-year activity
  if (rstep ~= 1) && (clim.doy(rstep) < clim.doy(rstep-1))
    AllocateYr;
    storeoutput(1);
    YearInit;
  end

  % Call subroutines
  AtmEnviron;
  Phenology(1);
  Photosyn;
  Waterbal;
  SoilResp;
  AllocateMo;
  Phenology(2);
  storeoutput(0);
  
end

% Calculate final year
AllocateYr;
storeoutput(1);
